Skip to main content
GET
Poll async job

Authorizations

X-API-Key
string
header
required

Path Parameters

job_id
string
required

The job ID returned by POST /v1/agent/invoke/async.

Response

Current job status.

job_id
string
status
enum<string>

Current job state. Poll until completed or failed.

Available options:
pending,
running,
completed,
failed
created_at
string<date-time>
completed_at
string<date-time> | null
output
string | null

Agent response. Only present when status is completed.

error
string | null

Error message. Only present when status is failed.

memory_delta
object | null
tokens_input
integer | null
tokens_output
integer | null
duration_ms
integer | null